lecture:
  title:          Business Programming 2
  abbreviation:   BP2
  teaching-load:  4 ECTS
  weekly-hours:   4
  weeks:          7
  author:         Rony G. Flatscher
  date:           2026-08-16
  version:        1.00.00
  copyright:      cc-by-sa
  copyright-year: 2015-2026

unit-01:
        presentation-01: bp2/210_AutoJava_BSF4ooRexx_V10.odp
        title-01:        Java and ooRexx: BSF4ooRexx850 - The Bean Scripting Framework for ooRexx

unit-02:
        presentation-02: bp2/220_AutoJava_gui_V05.odp
        title-02:        BSF4ooRexx - Portable GUIs for ooRexx Using BSF4ooRexx

        presentation-03: bp2/230_AutoJava_Sockets_V08.odp
        title-03:        BSF4ooRexx - Sockets ("java.net", "javax.net"), SSL/TLS ("javax.net.ssl")

unit-03:

        presentation-04: bp2/120_AutoWin_markup_V09.odp
        title-04:        Markup Languages, Document Object Model

        presentation-05: bp2/250_AutoJava_XML_SAX_V02.odp
        title-05:        BSF4ooRexx - Parsing XML Documents with SAX (Simple API for XML)

        presentation-06: bp2/252_AutoJava_XML_DOM_V09.odp
        title-06:        BSF4ooRexx - Parse, Analyze and Process XML Documents with DOM (Document Object Model) and XSLT (Extensible Stylesheet Language Transformation)

        presentation-07: bp2/254_AutoJava_jsoup_V07.odp
        title-07:        BSF4ooRexx - Parse, Analyze and Process HTML Documents with jsoup (a Java DOM Parser)

unit-04:

        presentation-08: bp2/370_Weka_ML_v03.odp
        title-08:        AI (Artificial Intelligence) - Introduction to Machine Learning (ML): Weka (Waikato Environment for Knowledge Analysis)

unit-05:

        presentation-09: bp2/280_AutoJava_Environment_V04.odp
        title-09:        BSF4ooRexx - Setup Environment for Java/OpenJDK

        presentation-10: common/060_ooRexx_commands_V19.odp
        title-10:        Commands, standard files, redirections, pipes

        presentation-11: common/340_JSON_V08.odp
        title-11:        JSON (JavaScript Object Notation)

        presentation-12: common/320_Codepages_V05.odp
        title-12:        Codepages: Definitions, Some Implications

unit-06:

        presentation-13: common/330_Paths_V03.odp
        title-13:        About Storing Files: Where and How? Source directory, current directory, home directory, temporary directory …

        presentation-14: common/070_ooRexx_trace_debug_V14.odp
        title-14:        Trace (Debug)

        presentation-15: common/080_ooRexx_environment_symbols_V15.odp
        title-15:        ooRexx Runtime Environment and Resolving Environment Symbols

        presentation-16: bp2/202505_portable_net-oo-rexx_package-v3.odp
        title-16:        The Portable net-oo-rexx Package

unit-07:
        presentation-17: bp2/AutoJava-BSF4ooRexx-Tomcat-20211111.odp
        title-17:        Using Tomcat (a Java Web Server) to Create and Run Web Server Programs Written in ooRexx
